Android Q Akan Beri Amaran Kepada Pengguna Jika Membuka Aplikasi Versi Lama

Android Q Akan Beri Amaran Kepada Pengguna Jika Membuka Aplikasi Versi Lama

Diterbitkan pada Sep 4, 2018 oleh .

Umur Android Pie versi stabil masih belum capai satu bulan lagi. Buat masa ini, hanya Essential Phone dan siri Google Pixel sahaja yang sudah menjalankan sistem operasi baru ini. Peranti lain seperti OnePlus 6 baru sahaja menerima Open Beta Android Pie Beta 1, Huawei pula hanya lima peranti sahaja yang diuji dan masih banyak lagi peranti lain berada di peringkat ujian.

Kini Google telah pun memulakan penulisan kod untuk Android Q. Terkini, di dalam kod AOSP terbaru – Android Q dikatakan akan memberi amaran kepada pengguna jika membuka aplikasi yang dibina untuk Android Lollipop (Android 5.0) dan ke bawah.

Contoh amaran dari Android Pie ketika menjalankan aplikasi Android yang dibina berasaskan SDK Android 1.0

Bukti yang mengatakan sedemikian adalah, kod AOSP terbaru telah meningkatkan had Androi Q untuk menjalankan aplikasi yang dibina dari SDK 23 (Android 6.0 Marshmallow) dan ke atas sahaja. Kod itu adalah;

PLATFORM_MIN_SUPPORTED_TARGET_SDK_VERSION  

di mana ia adalah kod hak sistem yang mengesan aplikasi yang dijalankan itu dibina berasaskan SDK versi keberapa.

ro.build.version.min_supported_target_sdk

Walau bagaimanapun, ini tidak bermakna aplikasi versi lama tidak boleh dijalankan. Sistem Android hanya akan memaparkan amaran untuk pengguna melaporkan kepada pembangun aplikasi atau boleh terus menggunakan aplikasi tersebut. Tetapi, prestasi aplikasi tersebut mungkin tidak sebaik seperti yang dijalankan pada Android yang sebelumnya.

Usah khuatir, masih awal lagi untuk Android Q ini hadir. Google turut kerap menandakan kod AOSP tadi ‘sementara’. Ini bermakna, Google belum membuat keputusan akhir mengenai amaran ini.


TIPS & ULASAN